Interact エンドポイントGET/interact
スタンドアロンのInteractセッションを取得し、必要に応じてステータスでフィルタリングできます。
| ヘッダー | 値 |
|---|
Authorization | Bearer <API_KEY> |
| パラメーター | 型 | 必須 | 説明 |
|---|
status | string | いいえ | セッションのステータスでフィルタリングします:"active" または "destroyed" |
| フィールド | 型 | 説明 |
|---|
success | boolean | リクエストが成功したかどうか |
sessions | array | セッションオブジェクトのリスト |
| Field | Type | Description |
|---|
id | string | 一意のセッション ID |
status | string | 現在のセッションの状態("active" または "destroyed") |
cdpUrl | string | CDP 接続用の WebSocket URL |
liveViewUrl | string | セッションをリアルタイムでモニタリングするための URL |
interactiveLiveViewUrl | string | セッションをリアルタイムで操作するための URL(クリック、入力、スクロール) |
createdAt | string | セッション作成日時の ISO 8601 形式タイムスタンプ |
lastActivity | string | 最終アクティビティ日時の ISO 8601 形式タイムスタンプ |
curl -X GET "https://api.firecrawl.dev/v2/interact?status=active" \
-H "Authorization: Bearer $FIRECRAWL_API_KEY"
{
"success": true,
"sessions": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "active",
"cdpUrl": "wss://cdp-proxy.firecrawl.dev/cdp/550e8400-e29b-41d4-a716-446655440000",
"liveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000",
"interactiveLiveViewUrl": "https://liveview.firecrawl.dev/550e8400-e29b-41d4-a716-446655440000?interactive=true",
"createdAt": "2025-06-01T12:00:00Z",
"lastActivity": "2025-06-01T12:05:30Z"
}
]
}
Firecrawl API key が必要な AI agent の場合は、自動オンボーディング手順について firecrawl.dev/agent-onboarding/SKILL.md を参照してください。